# Generated by Django 4.1.4 on 2023-01-03 01:54

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0039_dialoguetree"),
    ]

    operations = [
        migrations.CreateModel(
            name="Farewell",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("tags", models.TextField()),
                ("action_tags", models.TextField()),
                ("text", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Greeting",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("tags", models.TextField()),
                ("action_tags", models.TextField()),
                ("text", models.TextField()),
            ],
        ),
        migrations.DeleteModel(
            name="DialogueTree",
        ),
        migrations.AddField(
            model_name="npc",
            name="spoken_to_recently",
            field=models.BooleanField(blank=True, default=True),
        ),
    ]
